import java.io.*;

public class Dictionary extends WordSet {

    public Dictionary() { super(); }

    public void load(String fileName)
                throws IOException
    {
        BufferedReader r= new BufferedReader(new FileReader(fileName));
        String line;

        while (r.ready()) {
            line= r.readLine();
            this.set.add(line.toLowerCase());
        }
        r.close();
    } 

    public void save(String fileName)
                throws IOException
    {
        PrintWriter w= new PrintWriter(new FileWriter(fileName));

        for (String word: set) {
            w.println(word);
        }
        w.close();
    }
    
}
